#! /usr/bin/env python3
# -*- coding: utf-8 -*-
'''
Idee abgeschaut von "programming python" (by Mark Lutz)
ist nettes Beispiel fuer NOVICE-programmers

Geht durch sys.path und sucht sich alle .py-files -> nach Groesse geordnet->Ausgabe
Bereits besuchte Verzeichnisse sollen kein zweites Mal abgegrast werden

'''
# Copyright (c) 2013 michael poeltl
# This program or module is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published
# by the Free Software Foundation, version 2.0 of the License
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
# It is provided for educational
# purposes and is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.

__author__ = 'michael poeltl'
__version__ = '0.02'
__license__ = 'GPLv2.0'
__email__ = 'michael.poeltl@univie.ac.at'
__copyright__ = 'poeltl (c) 2013'

import os
import sys
from pprint import pprint

def main():
    coll_size = []
    besucht = {}
    for srcdir in sys.path:
        for (curdir,subdir,files) in os.walk(srcdir):
            if curdir in besucht:
                continue
            else:
                besucht[curdir] = 'fertig'
            for filename in files:
                if filename.endswith('.py'):
                    try:
                        groesse = os.path.getsize(os.path.join(curdir,filename))
                    except os.error:
                        print ('skipping, {} {}'.format(os.path.join(curdir, filename), sys.exc_info()[0]))
                    else:
                        #open file in 'rb' to avoid unicode-decode-errors!
                        zeilen = len(open(os.path.join(curdir,filename),'rb').readlines())
                        coll_size.append((groesse, zeilen, os.path.join(curdir,filename)))

    print ('sortiert nach filesize:')
    coll_size.sort()
    pprint(coll_size[:3])
    pprint(coll_size[-3:])
    print ('sortiert nach Zeilenanzahl:')
    coll_size.sort(key=(lambda x: x[1]))
    pprint (coll_size[:3])
    pprint (coll_size[-3:])
    return None

if __name__ == '__main__':
    main()
