#! /usr/bin/env python3
# -*- coding: utf-8 -*-

'''
berechne die ersten sechs Stellen von Pi mittels

                    1
pi = 3 + ---------------------------
                       1
         7 + -----------------------
                         1
             15 + ------------------
                            1
                  1 + --------------
                               1
                      292 + --------
                               2


'''
__author__ = 'michael poeltl'
__version__ = '0.01'
__license__ = 'GPLv2.0'
__email__ = 'michael.poeltl@univie.ac.at'

def main():
    ganz = (1, 15, 7, 3)
    nenner = 292 + 1/2
    for i in ganz:
        nenner = (i*nenner+1)/nenner
    print( "pi berechnet nach 'kettenbruchentwicklung von pi' auf die Milliardstel-Stelle genau ergibt  {}".format(nenner) )

if __name__ == '__main__':
    main()
