#! /usr/bin/env python3

'''
lotto3.py
ein erster Versuch, die Ablaufgeschwindigkeit fuer viele Tips (1000 und mehr) zu minimieren
'''
import random
import time
import sys

__author__ = 'michael poeltl'
__version__ = '0.03'
__license__ = 'GPLv2'

def tipp():
    '''
    gibt eine Liste mit sechs Lottozahlen (== 1 Tipp)
    zurueck
    '''
    eintipp = list( range( 1,46 ) )
    random.shuffle( eintipp )
    x = random.randint( 0,39 )
    return sorted( eintipp[ x:x+6 ] )

def tipp_as_string(l):
    for i in range( len( l ) ):
        l[i] = str( l[ i ] )
    return ' '.join( l )

def main():
    print ( "Lotto - Schein- Ausfuellhilfe" )
    v = 0
    while True:
        anzahl = input( "Wieviele Lottotipps? " )
        if anzahl.isdigit():
            break
        else:
            if v == 3:
                print ( "Anscheinend magst Du keinen Tipp." )
                sys.exit(1)
            print ( "Musst schon eine Zahl eingeben, damit ich weiss, wieviele Tipps ich fuer Dich ausspucken soll!" )
            v += 1

    liste1 = [] #check for doppelte tipps
#    x = 0
#    while x < int( anzahl ):
    for i in range( int( anzahl ) ):
        liste2 = tipp()
        if liste2 in liste1:
            continue
        else:
            liste1.append(liste2)
#            x += 1

    print ('Ihre Lottozahlen:')

    zahl = 1
    for i in liste1:
        print ( 'Ihr {}. Tipp: {}'.format( zahl, tipp_as_string( i )) )
        zahl += 1

if __name__ == '__main__':
    main()
