#! /opt/bin/python3

'''
atbasch ist das synonym fuer einen
Substitutionsalgorithmus aus dem alten Israel

Moenche im MA haben ihn in Schriften des Aten Testaments entdeckt
doch eht man davon aus, dass das die Bibel
nur interessanter machen sollte.
'''

import string
import os.path

KLARLOWER = string.ascii_lowercase + string.whitespace + string.digits
KLARUPPER = string.ascii_uppercase + string.punctuation
CHIFLOWER = ''.join( reversed( list( string.ascii_lowercase ) ) ) + string.whitespace + string.digits
CHIFUPPER = ''.join( reversed( list( string.ascii_uppercase )) ) + string.punctuation

__author__ = 'michael poeltl'
__version__ = '0.01'


def chiffrier(text=''):
    chifftext = ''
    klartext = open(text).read() if os.path.isfile( text ) else text
    for i in klartext:
        if i in KLARLOWER:
            chifftext += CHIFLOWER[ KLARLOWER.index( i ) ]
        elif i in KLARUPPER:
            chifftext += CHIFUPPER[ KLARUPPER.index( i ) ]
    return chifftext

def dechiffrier(text=''):
    klartext = ''
    chifftext = open(text).read() if os.path.isfile( text ) else text
    for i in chifftext:
        if i in CHIFLOWER:
            klartext += KLARLOWER[ CHIFLOWER.index( i ) ]
        elif i in CHIFUPPER:
            klartext += KLARUPPER[ CHIFUPPER.index( i ) ]
    return klartext

def eingabe():
    while True:
        try:
            wahl1 = input( "1 ... chiffrieren\n2 ... dechiffrieren\nIhre Wahl? ")
            if wahl1 not in ('1', '2'):
                raise ValueError("Sie muessen 1 oder 2 tippen!")
            else:
                break
        except ValueError as e:
            print("Falsche Eingabe: {} Erneut waehlen.".format(e))
            continue
    while True:
        try:
            wahl2 = input("Ist das zu {} ein\n1 ... file\noder\n2 ... nur eine kurze Eingabe? ".format( 'Chiffrierende' if wahl1 == '1' else 'Dechiffrierende' ))
            if wahl2 not in ('1', '2'):
                raise ValueError("Sie muessen 1 oder 2 tippen!")
            else:
                break
        except ValueError as e:
            print("Falsche Eingabe: {} Erneut waehlen.".format(e))
            continue
    while True:
         if wahl2 == '1':
             try:
                 datei = input("Geben Sie den Dateinamen ein (absolute/relative Pfadangabe): ")
                 if os.path.isfile( datei ):
                     zeile = ''
                     return (wahl1,wahl2,datei)
                 else:
                     raise FileNotFoundError("{} konnte nicht gefunden werden!".format(datei))
             except FileNotFoundError as e:
                 print( "File bitte nochmals eingeben: {}".format(e))
                 continue
         elif wahl2 == '2':
             zeile = input( "Geben Sie die zu {} Zeile ein: ".format( 'Chiffrierende' if wahl1 == '1' else 'Dechiffrierende'))
             return (wahl1,wahl2,zeile)

def main():
    wahl1,wahl2,dinx = eingabe()
    if wahl1 == '1':
        ergebnis = chiffrier( dinx )
        if wahl2 == '1':
            print( 'speichere chiffriertes file in "/tmp/chiffriert" ab')
            with open('/tmp/chiffriert', 'w') as f:
                f.write( ergebnis )
        else:
            print( ergebnis )
    elif wahl1 == '2':
        ergebnis = dechiffrier( dinx )
        if wahl2 == '1':
            print( 'speichere dechiffriertes file in "/tmp/dechiffriert" ab')
            with open('/tmp/dechiffriert', 'w') as f:
                f.write( ergebnis )
        else:
            print( ergebnis )

if __name__ == '__main__':
    main()
