#! /usr/bin/env python3

'''
0001st prime
Problem 7
By listing the first six prime numbers: 2, 3, 5, 7, 11, and 13, we can see that the 6th prime is 13.

What is the 10 001st prime number?
'''
from math import ceil

__author__ = 'michael poeltl'
__version__ = '0.01'
__license__ = 'GPLv2'

def isprim(n):                                                                 
    '''
    is n a prime-number?
    SYNTAX: isprim(integer)
    ret-val is True|False
    '''
    if n < 2:
        return False
    if n in (2,3,5,7,11,13,17,19,23,29,31,37,41,43,47,53,59,61,67,71,73,79):
        return True
    elif n % 2 == 0:
        return False
    for i in range(3,ceil(n**0.5)+10,2):
#    for i in range(3,n//2,2):
        if n % i == 0:
            return False
    return True

def main():
    checkzahl = 0
    sovielte_prim = 0
    while True:
        checkzahl += 1
        if isprim(checkzahl):
            sovielte_prim += 1
            if sovielte_prim == 10001:
                print ('die 10001. Primzahl ist {}'.format(checkzahl))
                break



if __name__ == '__main__':
        main()
