'''
punktbsp.py
einfach gehaltenes OOP-Beispiel zwecks Einfuehrung -
zur Einfuehrung ins OOP
'''
import math

class Point:
    def __init__(self, x, y):
        ''' gewoehnlich kommt:
        self.x = x
        self.y = y
        
        aber - wir haben move() um code-Wiederholung zu vermeiden!
        self.x = x -> nur einMal im Klassencode
        daher reicht
        '''
        self.move(x,y)
    def move(self, x, y):
        self.x = x
        self.y = y

    def reset(self):
        self.move(0,0)

    def get_distance(self, p2):
        return math.sqrt( (self.x - p2.x)**2 + (self.y - p2.y)**2)
