#!/opt/bin/python3

'''
changing the resolution of the windows'''

import pygame
from time import sleep

__status__ = 'experimental'
__date__ = '06142014'
__pyversion__ = '3.4.1'
__pygameversion__ = '1.9.2a'

WIDTH = 800
HEIGHT = 600
WHITE = '255,255,255'
BLACK = '0,0,0'

pygame.init()
screen = pygame.display.set_mode( (WIDTH,HEIGHT), 0, 32)

resolutions = pygame.display.list_modes()
number = 0#starts with first resolution
while True:
    sleep(1)
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            pygame.quit()
            raise SystemExit()
        if event.type == pygame.KEYDOWN:
            if event.key == pygame.K_q:
                pygame.quit()
                raise SystemExit()
    pygame.display.set_mode( resolutions[number], 0, 32)
    pygame.display.set_caption(str(screen.get_size()))
    number = (number+1)%len(resolutions)
    pygame.display.flip()
