# /usr/bin/env python3

from sys import exit
import pygame
import pygame.font

SCREEN_SIZE = ( 640, 480 )
fenster = pygame.display.set_mode(SCREEN_SIZE)
pygame.init()
pygame.display.set_caption("check events")

font = pygame.font.SysFont('arial', 16)
font_height = font.get_linesize()
event_text = []

while True:
    event = pygame.event.wait()
    event_text.append( str(event) )
    event_text = event_text[ -SCREEN_SIZE[1]//font_height:]
    if event.type == pygame.QUIT:
        exit()
    fenster.fill( (255,255,255) )

    y = SCREEN_SIZE[1] - font_height
    for text in reversed( event_text ):
        fenster.blit( font.render( text, True, (0,0,0) ), (0,y) )
        y -= font_height
    pygame.display.update()


