#!/opt/bin/python3

'''
toogle screen to fullscreen and back
by pressing the f-key
'''

import pygame

__status__ = 'experimental'
__date__ = '06142014'
__pyversion__ = '3.4.1'
__pygameversion__ = '1.9.2a'

FPS = 30
WIDTH = 800
HEIGHT = 600
WHITE = '255,255,255'
BLACK = '0,0,0'

pygame.init()
screen = pygame.display.set_mode( (WIDTH,HEIGHT), 0, 32)

fullscreen = pygame.display.list_modes()[0]
isfull = False

while True:
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            pygame.quit()
            raise SystemExit()
        if event.type == pygame.KEYDOWN:
            if event.key in (pygame.K_q, pygame.K_ESCAPE):
                pygame.quit()
                raise SystemExit()
            elif event.key == pygame.K_f:
                if isfull:
                    isfull = False
                    pygame.display.set_mode( (WIDTH,HEIGHT),0,32)
                else:
                    isfull = True
                    pygame.display.set_mode( fullscreen,0,32)
    pygame.display.flip()
