#! /opt/bin/python3

'''
lerp ist ein interner Ausdruck fuer
linear interpolation
und wird verwendet, um eine Farbe in eine andere
langsam zu veraendern
'''
import pygame

pygame.init()

screen = pygame.display.set_mode( (800,600), 0, 32)
pygame.display.set_caption(" color transition ")

#farbe1 langsam live in farbe2 wechseln
farbe1 = (221,101,27)
farbe2 = (96,120,40)

rot1,gruen1,blau1 = farbe1
rot2,gruen2,blau2 = farbe2

punkte = [ (0,125), (639,111), (700,300) ]#fuer polygon

zufarbezwei = True

def color_reset(rot,gruen,blau):
    if (rot,gruen,blau) == farbe1:
        zufarbezwei = True
    else:
        zufarbezwei = False

while True:
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            pygame.quit()
            raise SystemExit()
        if event.type == pygame.KEYDOWN:
            if event.key == pygame.K_q:
                pygame.quit()
                raise SystemExit()
    screen.fill( (255,255,255) ) 
    screen.lock()
    pygame.draw.polygon( screen, farbe1, punkte)
    pygame.draw.rect(screen, farbe2, pygame.Rect(0,340, 400,150))
    screen.unlock()
    

    pygame.display.flip()
