import pygame
from pygame.locals import RESIZABLE
import sys

backgroundimagefile = bif = 'bluescreen.jpg'
mouseimagefile = mif = 'ball.png'

pygame.init()
#800x560 is size of backgroundimagefile
screen = pygame.display.set_mode((800, 560), RESIZABLE, 32)

#convert bif to something pygame can use
background = pygame.image.load(bif).convert()
#convert_alpha(): alpha means transparancy
mouse_cursor = pygame.image.load(mif).convert_alpha()


while True:
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            sys.exit()
    #copy background right to screen
    screen.blit(background, (0,0))
    #where on the screen is the mouse?
    x,y = pygame.mouse.get_pos()
    x -= mouse_cursor.get_width()//2
    #divided by 2 -> cursor will be in middle of the mouse-cursor-image 
    y -= mouse_cursor.get_height()//2
    #copy mif to the screen, x,y are variable
    screen.blit(mouse_cursor, (x,y))
    pygame.display.update()
