#! /opt/bin/python3

import pygame
from sys import exit

SCREEN1= (640,480) #dfuer DOWN Pfeiltaste
SCREEN2 = (800,600) #fuer UP Pfeiltaste
FPS = 30

pygame.init()
screen = pygame.display.set_mode( SCREEN1 )
# Erzeuge Pygame clock object.
clock = pygame.time.Clock()
# wieviele Sekunden lang is es schon am Laufen
playtime = 0.0#starting pint

nochlaufen = True #alternativer Ausstieg via boolean
while nochlaufen:
    #  baue leeres pygame surface fuer'n background
    #+ alternativ zum bisher gesehenen
    background = pygame.Surface(screen.get_size())
    #screen.get_size() garantiert, dass der background auf die Groesse des
    #aktuell gewaehlten screen-Objekts angepasst wird
    background.fill((255, 255, 255))
    # Convert Surface object; soll blitting schneller machen
    background = background.convert()
    # kopiere background auf'n screen (position (0, 0) ist obenlinks im Eck).
    screen.blit(background, (0,0))
    # laufe nicht schneller als diese framerate.
    milliseconds = ms = clock.tick(FPS)
    playtime += ms / 1000#python3 -> float kommt 'raus
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            pygame.quit()
            nochlaufen = False
        elif event.type == pygame.KEYDOWN:
            if event.key in (pygame.K_q, pygame.K_ESCAPE):
               pygame.quit()
               nochlaufen = False
            elif event.key == pygame.K_DOWN:
                screen = pygame.display.set_mode(SCREEN1)
            elif event.key == pygame.K_UP:
                screen = pygame.display.set_mode(SCREEN2)
    # Print framerate und zeit in titelbar.
    text = "FPS: {0:.2f} Playtime: {1:.2f}".format(clock.get_fps(), playtime)
    pygame.display.set_caption(text)
    pygame.display.flip()
# und zuguterletzt
print( "This game was played for {0:.2f} seconds".format(playtime) )
#is ja nur ein Beispiel
