#! /usr/bin/env python3

'''
erster Schritt zum Pendelprogramm

kreisbogen + Seil + Gewicht
'''
from math import pi
import pygame

WIDTH = 800
HEIGHT = 600
BLACK = pygame.Color('black')
WHITE = pygame.Color('white')
FPS = 30

center = (WIDTH/2,HEIGHT/2)
pygame.init()

screen = pygame.display.set_mode( (800,600), 0, 32)
alpha = pi
beta  = 9*pi/8
minus = False

clock = pygame.time.Clock()
secsum = 0

leftborder = lb = pi
rightborder = rb = 2*pi

while True:
    ms = clock.tick(FPS)
    seconds = ms/1000
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            pygame.quit()
            raise SystemExit()
        if event.type == pygame.KEYDOWN:
            if event.key in (pygame.K_ESCAPE,pygame.K_q):
                pygame.quit()
                raise SystemExit()
    screen.fill( BLACK )
    screen.lock()
    pygame.draw.arc( screen, WHITE, (180,80,400,400), alpha, beta,2)
    pygame.display.set_caption("pendel01\ttime {:0f}\t{}\t{}".format(secsum,lb,rb))
    screen.unlock()
    if beta > rb:
        minus = True
    elif alpha < lb:
        minus = False
        if secsum > 1.1:
            rb -= 0.1
            lb += 0.1
        #elif secsum < 1.1:
         #   rb += 0.1
          #  lb -= 0.1
     
        secsum = 0
    if minus:
        alpha -= seconds
        beta -= seconds
    else:
        alpha += seconds
        beta += seconds
    secsum += seconds
    pygame.display.flip()
