#! /opt/bin/python3

'''
from youtube:
pygame physics tutorial 1
create circle-class
put circles on the screen
'''

import sys
import pygame

#some colors
black = (0,0,0)
white = (255,255,255)
red = (255,0,0)
green = (0,255,0)
blue = (0,0,255)

class MyCircle:
    def __init__(self, x, y, size, color = (255,255,255,), width=1):
        self.x = x
        self.y = y
        self.size = size
        self.color = color
        self.width = width
    def display(self):
        pygame.draw.circle( screen, self.color, (self.x,self.y,),self.size,self.width)

my_circle1 = MyCircle( 100,100, 10,blue,1)
my_circle2 = MyCircle( 200,200, 20,green,5)
my_circle3 = MyCircle( 300,300, 30,red,10)
my_circle4 = MyCircle( 350,350, 20,black,0)


screen_size = screen_width, screen_height = (800, 600,)
screen = pygame.display.set_mode(screen_size, 0, 32)
pygame.display.set_caption("first class")

clock = pygame.time.Clock()
fps_limit = 60

running = True

while running:
    clock.tick( fps_limit )
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            running = False
        if event.type == pygame.KEYDOWN:
            if event.key == pygame.K_q:
                running = False
    #clear screen
    screen.fill( white )

    my_circle1.display()
    my_circle2.display()
    my_circle3.display()
    my_circle4.display()

    pygame.display.flip()
#quit the game
pygame.quit()
sys.exit()

