#! /opt/bin/python3

'''
pygame intro
simple intro to vektor
vektor hat laenge (von Ausgangspunkt zum Endpunkt)
Vektro hat eine Richtung
step3 -> unit vector
'''

import pygame

class Vector:
    def __init__(self, start = (0,0), end = (1,2)):
        self.a = end[0]-start[0]
        self.b = end[1]-start[1]
    def get_vector(self) -> tuple:
        return (self.a, self.b,)
    def get_length(self) ->float:
        '''
        'length of vector' == distance between 2Points
        pythagors
        wurzel(vec.x^2 + vec.y^2) == distance A->B
        '''
        return (self.a**2 + self.b**2)**0.5
    def get_unitvector(self) ->tuple:
        '''
        Einheitsvektor (unit-vector)
        x-koord. vom Vektor dividiert durch Laenge des Vektors
        y-koord. vom Vektor dividiert durch Laenge des Vektors
        '''
        length = self.get_length()
        return ( self.a/length, self.b/length,)


eins = (18,22)
zwei = (212,44)
#ein Vektor eins->zwei
test = Vector(eins,zwei)
print( test.get_length() )
print( test.get_unitvector() )
