#! /usr/bin/env python3.2

'''
erstes Beispiel, wie man Tasten zum Steuern des programms bzw. zum 
Steuern der Schildkroete mittels cursor-Tasten "Left", "Right", "Up"
mit "q" kann das Programm dann wieder verlassen werden

Programmbeispiel Idee abgeschaut von einem youtube-Beitrag
27. Jaenner 2013
http://www.youtube.com/watch?v=GhPVFYyVuOQ
aber meinem Geschmack angepasst...

Was mir besonders gefaellt ist, dass man 'q' (oder sonstigen Buchstaben, aber q fuer quit bietet sich an)

Mausklicks werden in anderen Beispielen eingefuehrt
'''
from random import shuffle
from turtle import *

__author__    = 'michael poeltl'
__copyright__ = 'michael poeltl (c) 2013'
__license__   = 'GPLv2'
__version__   = '0.01'

#es folgen sehr sehr einfache Funktinen
#die ueber Tastendruck aufgerufen werden sollen
def pageone():
    t.fd(40)
    
def pagetwo():
    t.lt(45)

def pagethree():
    t.rt(45)

def pagefour():
    fenster.bye()

def setbglightyellow():
    global fenster
    fenster.bgcolor('lightyellow')

def setbgbrown():
    global fenster
    fenster.bgcolor('brown')

def zurueck():
    global t
    t.reset()

def strichstaerke5():
    global t
    t.pensize(5)

def main():
    farben = ['lightgreen', 'white', 'cyan', 'lightgrey']
    shuffle(farben)
    setup(1200,1600)
    global fenster
    fenster = Screen()
    fenster.title('first use of arrow keys')
    fenster.bgcolor(farben[0])
    global t
    t = Turtle()
    #was passiert wenn xyz is presssed on the keyboard
    #what about hte mouse?
    fenster.onkey(pageone, "Up")
    fenster.onkey(pagetwo, "Left")
    fenster.onkey(pagethree, "Right")
    fenster.onkey(setbglightyellow, "y")
    fenster.onkey(setbgbrown, "b")
    fenster.onkey(zurueck, 'r')
    fenster.onkey(strichstaerke5, '5')
    fenster.onkey(pagefour, "q")
#listen() mainloop() sind unerlaesslich
    fenster.listen()
    fenster.mainloop()

if __name__ == '__main__':
    main()
