#! /usr/bin/env python3

#  caesar1.py
#+ Verschluesselung durch Substitution
#+ nach Caesar
#+ Buchstaben werden ersetzt durch jeweiligen
#+ drei Stellen rechts befindlichen Buchstaben
#+
#+ ich moechte chr() und ord() einsetzen
##
import os.path
import sys
from time import sleep

__author__ = 'michael poeltl'
__copyright__ = 'GPLv2'
__version__ = '0.01'

def caesarz(z):
    '''nimmt eine Textzeile entgegen und baut sie um nach caesar
    '''
    satz = ''
    for c in z:
        #handling fuer alle non-letters
        if not ord('A') <= ord(c) <= ord('z'):
            satz += c
        #handling fuer x y z
        elif ord(c) > 119:
            satz += chr(67 - (122 - ord(c)))
        else:
            satz += chr(ord(c)+3)
    return satz

def caesarf(f):
    '''nimmt file entgegen und wendet caesar an
    Buchstaben werden um drei Stellen nach rechts verschoben. Leerzeichen etc. werden unveraendert belassen.
    '''
    L = []
    for zeile in open(f).readlines():
        L.append(caesarz(zeile))
    return L

def main():
#da kann man noch mehr machen
#caesar -> 3 Stellen verruecken
#was wenn man Verrueckung variabel halten moechte?
    if len(sys.argv) == 1:
        print ("Parameter fehlt", file=sys.stderr)
        sys.exit(1)
    print ('Verschluesseln durch Substitution nach Caesar\n')
    sleep(1)
    if os.path.isfile(sys.argv[1]):
        print ('\n'.join(caesarf(sys.argv[1])))
    else:
        print (caesarz(sys.argv[1]))

if __name__ == '__main__':
    main()
