#! /usr/bin/env python3

'''
lotto2.py
hallo lottospieler -
mit Hilfe dieses python-Programms bekommt ihr 
ganz tolle Lotto-Zahlen geliefert.
Die Wahrscheinlichkeit, sechs richtige zu haben, 
bleibt aber unveraendert gering!

'''

import random
import time
import sys

__author__ = 'michael poeltl'
__version__ = '0.02'
__license__ = 'GPLv2'


def tipp():
    ''' retourniert sechs (geordnete) Lottozahlen
    also genau 1 Tipp
    '''
    l=list(range(1,46))
    random.shuffle(l)
    return sorted(l[:6])

def main():
    print ("Lotto - Schein- Ausfuellhilfe")
    v = 0
    while True:
        anzahl = input("Wieviele Lottotipps? ")
        if anzahl.isdigit():
            break
        else:
            if v == 3:
                print ("Anscheinend magst Du keinen Tipp.")
                sys.exit(1)
            print ("Musst schon eine Zahl eingeben, damit ich weiss, wieviele Tipps ich fuer Dich ausspucken soll!")
            v += 1

    #check for doppelte tipps
    alle_tipps = []
    x=0
    while x < int(anzahl):
        liste2 = tipp()
        if liste2 in alle_tipps:
            continue
        else:
            alle_tipps.append(liste2)
            x += 1

    print ('Ihre Lottozahlen:')

    zahl=1
    for i in alle_tipps:
        print ('Ihr {}. Tipp: {}'.format(zahl, str(i)[1:-1]))
        zahl += 1

if __name__ == '__main__':
    main()
