#! /usr/bin/env python3
# -*- coding: utf-8 -*-
'''
Ein Jahr ist genau dann ein Schaltjahr, wenn es durch 400 teilbar ist ODER (OR) durch 4 UND NICHT durch 100 teilbar ist!
1600 -> Schaltjahr
1968 -> Schaltjahr
1900 -> KEIN Schaltjahr
'''
# Copyright (c) 2013 michael poeltl
# This program or module is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published
# by the Free Software Foundation, version 2.0 of the License
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
# It is provided for educational
# purposes and is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.

__author__ = 'michael poeltl'
__version__ = '0.01'
__license__ = 'GPLv2.0'
__email__ = 'michael.poeltl@univie.ac.at'
__copyright__ = 'poeltl (c) 2013'

def main():
    while True:
        welches_jahr = input( "Welches Jahr (0 bis 9999)? ")
        if welches_jahr.isdigit() and 0 <= int(welches_jahr) < 10000:
            jahr = int(welches_jahr)
            if jahr % 400 == 0 or ( jahr%4==0 and jahr%100 ):
                print ('{} ist ein Schaltjahr'.format(jahr))
                break
            else:
                print ('{} ist kein Schaltjahr'.format(jahr))
                break

if __name__ == '__main__':
    main()
