#! /usr/bin/env python3
# -*- coding: utf-8 -*-
'''
hier nun ein Test, ob for oder while schneller sind
je mehr Beispiele mir einfallen, umso mehr Vergleiche kann ich anstellen

wird also erweitert; wenn du Ideen hast, lass es mich wissen!
'''
# Copyright (c) 2013 michael poeltl
# This program or module is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published
# by the Free Software Foundation, version 2.0 of the License
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
# It is provided for educational
# purposes and is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.

__author__ = 'michael poeltl'
__version__ = '0.01'
__license__ = 'GPLv2.0'
__email__ = 'michael.poeltl@univie.ac.at'
__copyright__ = 'poeltl (c) 2013'

import time

start = time.time()
l = []
with open('/etc/services') as f:
    try:
        while True:
            l.append(next(f))
    except StopIteration:
        pass
print('while')
print(len(l))
print (time.time() - start)

start = time.time()
l = []
with open('/etc/services') as f:
    for i in f:
        l.append(i)
print('for')
print(len(l))
print( time.time() - start)
