#! /usr/bin/env python3

#transposition1.py
#+ einfache verschluesselung (Gartenzaunmethode)
#+ man nehme jeden zweiten Buchstaben und setze es daneben
#+ z.B.
#+ ich heisse michi
#+ wird zu
#+ iheseih chismci
#+ und das stell man sich dann so vor (Gartenzaun)
#+ i h e s e i h
#+  c h i s m c i
##
import os.path
import sys
from time import sleep

__author__ = 'michael poeltl'
__copyright__ = 'GPLv2'
__version__ = '0.01'

def verdreh(zeile):
    l1=''
    l2=''
    count = 0
    for i in ''.join(zeile.split()):
        if count % 2:
            l2 += i
        else:
            l1 += i
        count += 1
    return '{} {}'.format(l1,l2)

def main():
    print ("Transposition nach der Gartenzaunmethode\n\n")
    sleep(2)
    L = []
    antwort = input("Ihr Satz (w fuer weiter): ")
    if antwort.lower() == 'w' or antwort == '':
        antwort = input("Die Zeilen welchen files sollen verdreht werden? (abs path)")
        if not os.path.isfile(antwort):
            raise IOError('{}: No such file!'.format(antwort))
        for zeile in open(antwort).readlines():
            if not zeile.startswith('#!') and zeile.startswith('#'):
                continue
            L.append(verdreh(zeile))
        print ('\n'.join(L))
    else:
        print (verdreh(antwort))

if __name__ == '__main__':
    main()
