#! /usr/bin/env python3

'''
waehrend meiner ersten beiden Jahre am naturwissenschaftlichen Gymnasium 
(70er Jahre des vorigen Jhdts) waren Zapfenrechnungen ein
probates Mittel, *schlimme* kids in die Schranken zu weisen -
ich sehe uns noch am Tisch sitzen: meine Mutter, eine meiner Schwestern 
und mich, wie wir den Haufen an Zapfenrechnungen fuer'n naechsten Tag 
versuchten fertig zu bekommmen.
Dieses kleine Uebungs-Programm haette ich damals, dann und wann brauchen koennen ;-)
'''

import sys

__author__ = 'michael poeltl'
__contact__ = 'michael.poeltl [AT] univie.ac.at'
__copyright__ = 'copyleft (c) 2012'
__version__ = '0.01'

def hilfe():

    '''
    Hilfetext plus Syntaxausgabe
    '''
    print ('''{0} wirft eine sogenannte Zapfenrechnung auf den screen. Dabei wird eine Zahl BIS zu einer gewissen anderen Zahl schrittweise zunaechst multipliziert, und danach wieder, mit 2 beginnend (eigentlich mit 1, aber das schreibt man nicht an), dividiert.
    Also:
    zahl * 2  = erg
    erg *  3  = erg2
    erg2 * 4  = erg3
    erg3 : 2  = erg4
    erg4 : 3  = erg5
    erg5 : 4  = zahl

    SYNTAX:{0} [OPTION]
    {0} arg1[ arg2]

    EXAMPLES:
    {0} -h
    gibt diese Hilfe aus
    {0} --help
    gibt diese Hilfe aus
    {0}
    zeigt die Berechnung einer Zapfenrechnung: aktuelle Jahreszahl bis mal15
    {0} <zahl>
    Zapfenrechnung von <zahl> bis 15
    {0} <zahl> <bisz>
    Zapfenrechnung von <zahl> bis zu <biszu>
    '''.format(sys.argv[0].split('/')[-1]))

def main():
    if len(sys.argv) == 1:
        e = 15
        zahl = 2012
    elif len(sys.argv) > 1 and sys.argv[1] == '-h' or sys.argv[1] == '--help':
        hilfe()
        sys.exit(0) #rueckgabewert fuer bash fuer 'Alles OK'
    elif len(sys.argv) == 2:
        e = 15
        zahl = eval(sys.argv[1])
    else:
        e = eval(sys.argv[2])
        zahl = eval(sys.argv[1])
    s = 2

    while True:
        if s <= e:
            print ('{:21d} * {:2d} = {:<21}'.format(zahl, s, zahl*s))
            zahl *= s
            s += 1
            continue
        else:
            s = 2
            while s <= e:
                print ('{:21d} : {:2d} = {:<21}'.format(int(zahl), s, int(zahl/s)))
                zahl /= s
                s += 1
            break

if __name__ == '__main__':
    main()
