#! /opt/bin/python3

'''
this program takes a text and outputs a table which shall show how many times one character was usd
'''

import sys
import os.path
from string import printable

def main():
    chardict = {}
    if len(sys.argv) != 2:
        print('wrong', file=sys.stderr)
        sys.exit(1)
    elif not os.path.exists( sys.argv[1] ):
        print('wrong', file=sys.stderr)
        sys.exit(1)

    with open(sys.argv[1]) as f:
        text = f.read()
    for c in printable:
        chardict[c] = text.count( c )
    print(chardict)

if __name__ == '__main__':
    main()
