#! /usr/bin/env python3


'''
die turtle soll sich im Bild bewegen und nicht 'rausrutschen koennen aus
dem sichtbaren Bereich
'''
from turtle import *
from random import shuffle

#MOVES = 100000
MOVES = 10

def checkxy(x,y):
    '''checkt, ob x bzw. y Rahmen sprengt
       und steuert gegen
    '''
    global xtrue,ytrue
    if x == window_width()/2-20:
        xtrue = False
    elif x == (window_width()/2-20)*-1:
        xtrue = True
    if y == window_height()/2-20:
        ytrue = False
    elif y == (window_height()/2-20)*-1:
        ytrue = True


def main():
    global xtrue, ytrue
    xtrue = True
    ytrue = True
    #mode setzen auf logo (fuer alle faelle)
    mode(mode='logo')
    #fenster XX% von Bildschirmhoehe/breite zentriert
    setup(width=.50, height=.50, startx=None, starty=None)
    fenster = Screen()
    fenster.title('template turtle')

    radius = [5,10,15,20]
    winkel = [20,40,60,90,120,150,190,220,270,320]
    farbe = ['red','yellow','lightyellow','green',
             'lightgreen','blue','lightblue','black','grey',
             'cyan', 'white','pink','lightpink','purple']
    kreis = [True,False]
    odnu = [True,False]
    
    x = 0
    y = 0
    m = 0
    ht()
    pensize(2)
    while m < MOVES:
        checkxy(x,y)
        if xtrue:
            x += 1
        else:
            x -= 1
        if ytrue:
            y += 1
        else:
            y -= 1
        goto(x,y)
        shuffle(radius)
        shuffle(farbe)
        shuffle(winkel)
        shuffle(odnu)
        shuffle(kreis)
        if not winkel[2]%20:
            lt(winkel[0])
        else:
            rt(winkel[0])
        color(farbe[0])
        if kreis:
            circle(radius[0], winkel[-1])
        else:
            if xtrue:
                x += 5
            else:
                x -= 5
            if ytrue:
                y += 5
            else:
                y -= 5
            goto(x,y)
        shuffle(winkel)
        m += 1
    fenster.onkey(bye,'q')
    fenster.listen()
    print ('fertig mit {}-Umlaeufen'.format(MOVES))
    fenster.mainloop()

if __name__ == '__main__':
    main()
