#! /usr/bin/env python3

#template fuer turtle
from turtle import *
from random import randint,shuffle

def main():
    #mode setzen auf logo (fuer alle faelle)
    mode(mode='logo')
    #fenster 80% von Bildschirmhoehe/breite zentriert
    setup(width=.20, height=.20, startx=None, starty=None)
    maxpixel=window_height()*window_width()
    print (maxpixel)
    used_pixels = []
    fenster = Screen()
    fenster.title('es regnet Punkte')
    up()
    ht()
    X = window_width()/2
    Y = window_height()/2
    farbe = ['red','yellow','lightyellow','green',
             'lightgreen','blue','lightblue','black','grey',
             'cyan', 'white','pink','lightpink','purple']
    while len(used_pixels) < maxpixel:
        if not len(used_pixels)%10000:
            print (len(used_pixels))
        shuffle(farbe)
        x = randint(X*-1,X)
        y = randint(Y*-1,Y)
        if (x,y) not in used_pixels:
            used_pixels.append((x,y))
            goto(x,y)
            color(farbe[0])
            down()
            circle(0.5)
        else:
            continue
        up()

    print ('all done perfectly')
    fenster.onkey(bye,'q')
    fenster.listen()
    fenster.mainloop()

if __name__ == '__main__':
    main()
