#! /usr/bin/env python3

'''
logging.basicConfig und
logging.<level> (log-messages)
sollen hier gezeigt werden
'''

import logging

def main():
    #ein paar Variablen zum Testen
    fname = 'data.sql'
    item = 'spam'
    logging.basicConfig( filename = '/tmp/testlog2.log',
                         level = logging.WARNING,
                         format = '%(asctime)s : %(levelname)s : %(message)s'
                       )
    logging.debug("eine debug-Meldung")
    logging.info("nur zur Info - das war elegant")
    logging.warning("%s not found!", fname)
    logging.error("kann {} nicht finden".format( item ))
    logging.critical("bin knapp vorm Absturz")

if __name__ == '__main__':
    main()
