#! /usr/bin/env python3

'''
Counting Sundays
Problem 19

You are given the following information, but you may prefer to do some research for yourself.

    1 Jan 1900 was a Monday.
    Thirty days has September,
    April, June and November.
    All the rest have thirty-one,
    Saving February alone,
    Which has twenty-eight, rain or shine.
    And on leap years, twenty-nine.
    A leap year occurs on any year evenly divisible by 4, but not on a century unless it is divisible by 400.

How many Sundays fell on the first of the month during the twentieth century (1 Jan 1901 to 31 Dec 2000)?

'''

import datetime

def main():
    summe = 0
    for jahr in range(1901,2001):
        for monat in range(1,13):
            if datetime.date(jahr,monat,1).strftime("%A") == 'Sunday':
                summe += 1
    print ("{} Sonntage fielen auf den ersten Tag der Monate von 1.1.1901 bis 31.12.2000".format(summe))

if __name__ == '__main__':
    main()
