#! /usr/bin/env python3

'''
Largest palindrome product
Problem 4
(siehe http://projecteuler.net/problem=4)

A palindromic number reads the same both ways. The largest palindrome made from the product of two 2-digit numbers is 9009 = 91 99.

Find the largest palindrome made from the product of two 3-digit numbers.
'''
__author__ = 'michael poeltl'
__version__ = '0.01'
__license__ = 'GPLv2'

def is_pal(x):
    x = str(x)
    while True:
        a = x[0]
        b = x[-1]
        x = x[1:-1]
        if a != b:
            return False
        elif len(x) == 1:
            print ("lanege 1")
            return True
        elif x == '':
            print ("lanege 0")
            return True

def main():
    pal_coll = []
    for i in range(100,1000):
        for j in range(100,1000):
            prod = i*j
            if is_pal(prod):
                pal_coll.append(prod)
    pal_coll.sort()
    print (pal_coll[-1])
    print (max(pal_coll))


if __name__ == '__main__':
    main()
