#! /usr/bin/env python3

'''
transparente Farben ueberlagern
'''
import pygame

#letzter Wert ist Transparenzlevel
#0 = unsichtbar 255=nicht transparent
WHITE = (255,255,255, 5)
REDT = (255,0,0,128)
GREENT = (0,255,0,128)
BLUET = (0,0,255,128)

pygame.init()

screen = pygame.display.set_mode( (800,600), 0, 32)
pygame.display.set_caption("Farbtransparenz")

rscreen = screen.convert_alpha()#alpha macht Transparent
gscreen = screen.convert_alpha()
bscreen = screen.convert_alpha()
rscreen.fill(WHITE)
gscreen.fill(WHITE)
bscreen.fill(WHITE)

while True:
    for event in pygame.event.get():
            if event.type == pygame.QUIT:
                pygame.quit()
                raise SystemExit()
            if event.type == pygame.KEYDOWN:
              if event.key in (pygame.K_ESCAPE,pygame.K_q):
                pygame.quit()
                raise SystemExit()
    screen.lock()
    pygame.draw.circle( screen, (0,0,0), (400,150),100, 3)
    pygame.draw.circle( screen, (0,0,0), (450,250),100, 3)
    pygame.draw.circle( screen, (0,0,0), (350,250),100, 3)
    pygame.draw.circle( rscreen, REDT, (400,150), 100)
    pygame.draw.circle( gscreen, GREENT, (350,250), 100)
    pygame.draw.circle( bscreen, BLUET, (450,250), 100)
    screen.unlock()
    screen.blit(rscreen,(0,0))
    screen.blit(gscreen,(0,0))
    screen.blit(bscreen,(0,0))
    pygame.display.flip()    

