#! /usr/bin/env python3

'''
transparente Farben ueberlagern
Transparenzlevel dynamisch aendern,
Blaugrad dynamisch aendern
'''
import pygame

__author__ = 'michael poeltl'

FPS = 30
WHITE = pygame.Color('white')
WHITE.a = 5

pygame.init()

#startwerte
rfaktor = 255
gfaktor = 128
bfaktor = 0
b = 128#Blauton
speed = 50

screen = pygame.display.set_mode( (800,600), 0, 32)
pygame.display.set_caption("Farbspielerei")

ascreen = screen.convert_alpha()#alpha macht Transparent
bscreen = screen.convert_alpha()
cscreen = screen.convert_alpha()
ascreen.fill(WHITE)
bscreen.fill(WHITE)
cscreen.fill(WHITE)
redt = pygame.Color('red')
greent = pygame.Color('green')
bluet = pygame.Color('blue')

clock = pygame.time.Clock()
while True:
    redt.a = rfaktor
    greent.a = gfaktor
    bluet.a = bfaktor
    bluet.b = b
    ms = clock.tick( FPS )
    seconds = ms/1000
    b += 1
    if b > 255:
        b = 100
    rfaktor = (rfaktor+1)%255
    gfaktor = (gfaktor+int(speed*seconds))%255
    bfaktor = (bfaktor+3)%255
    for event in pygame.event.get():
            if event.type == pygame.QUIT:
                pygame.quit()
                raise SystemExit()
            if event.type == pygame.KEYDOWN:
              if event.key in (pygame.K_ESCAPE,pygame.K_q):
                pygame.quit()
                raise SystemExit()
    screen.lock()
    pygame.draw.circle( ascreen, redt, (400,150), 100)
    pygame.draw.circle( bscreen, greent, (350,250), 100)
    pygame.draw.circle( cscreen, bluet, (450,250), 100)
    screen.unlock()
    screen.blit(ascreen,(0,0))
    screen.blit(bscreen,(0,0))
    screen.blit(cscreen,(0,0))
    pygame.display.flip()    

