import pygame
from pygame.locals import RESIZABLE
import sys

backgroundimagefile = bif = 'bluescreen.jpg'
mouseimagefile = mif = 'ball.png'

pygame.init()
#800x560 is size of backgroundimagefile
screen = pygame.display.set_mode((800, 560), RESIZABLE, 32)

#convert bif to something pygame can use
background = pygame.image.load(bif).convert()
#convert_alpha(): alpha means transparancy
mouse_cursor = pygame.image.load(mif).convert_alpha()

#start position of mouse
x,y = 0,0
movex, movey = 0,0

while True:
    #user action is stored in an event
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            pygame.quit()
            sys.exit()
        if event.type == pygame.KEYDOWN:
            if event.key == pygame.K_LEFT:
                movex = -1
            elif event.key == pygame.K_RIGHT:
                movex = +1
            elif event.key == pygame.K_UP:
                movey = -1#0,0 is leftcornerup
            elif event.key == pygame.K_DOWN:
                movey = +1
        if event.type == pygame.KEYUP:
            if event.key == pygame.K_LEFT:
                movex = 0
            elif event.key == pygame.K_RIGHT:
                movex = 0
            elif event.key == pygame.K_UP:
                movey = 0
            elif event.key == pygame.K_DOWN:
                movey = 0

    x += movex
    y += movey
    #copy background right to screen
    screen.blit(background, (0,0))
    #where on the screen is the mouse?
    #x,y = pygame.mouse.get_pos()
    #x -= mouse_cursor.get_width()//2
    #divided by 2 -> cursor will be in middle of the mouse-cursor-image 
    #y -= mouse_cursor.get_height()//2
    #copy mif to the screen, x,y are variable
    screen.blit(mouse_cursor, (x,y))
    pygame.display.update()
