#! /opt/bin/python3

'''
unterschiedliche Geschwindigkeiten
werden hier gezeigt
'''
import time
import pygame

FPS = 30#Frames Per Second
SCREEN = (800,600)

pygame.init()
clock = pygame.time.Clock()
screen = pygame.display.set_mode( SCREEN, 0, 32)
pygamezeit = 0
p = time.perf_counter()
speed = 100#pixel
speed1 = 200#pixels
speed2 = 400
speed3 = 800#pixel
x, x1, x2, x3 = 0,0,0,0
y  = 100
y1 = y + 150*1
y2 = y + 150*2
y3 = y + 150*3

while True:
    ms = clock.tick( FPS ) 
    seconds = ms/1000
    t2 = time.perf_counter()
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            pygame.quit()
            raise SystemExit()
        if event.type == pygame.KEYDOWN:
            if event.key in (pygame.K_q, pygame.K_ESCAPE):
                pygame.quit()
                raise SystemExit()
    pygamezeit += seconds
    screen.lock()
    screen.fill((0,0,0))
    t = t2 - p
    x += speed*seconds #pixel/seconds -> velocity
    x1 += speed1*seconds
    x2 += speed2*seconds
    x3 += speed3*seconds
    if x > 800:
        x -= 800
        pygamezeit = 0#reset
    if x1 > 800:
        x1 -= 800
    if x2 > 800:
        x2 -= 800
    if x3 > 800:
        x3 -= 800
    pygame.display.set_caption('FPS: {:.2f}\t{:.0f}\t{:.0f}'.format(clock.get_fps(),pygamezeit,t))
    pygame.draw.line( screen, (255,255,255),(x-100,y),(x,y),3)
    pygame.draw.line( screen, (0,128,0),(x1-100,y1),(x1,y1),3)
    pygame.draw.line( screen, (0,128,128),(x2-100,y2),(x2,y2),3)
    pygame.draw.line( screen, (128,0,128),(x3-100,y3),(x3,y3),3)
    screen.unlock()
    pygame.display.flip()
