#! /opt/bin/python3

'''
pygame intro
rechteck bewegen diagonal
mit Zeitkontrolle (wie schnell bewegt sich objekt)
'''
import pygame

backgroundimagefile = bif = 'bluescreen.jpg'

pygame.init()
#800x560 is size of backgroundimagefile
screen = pygame.display.set_mode((800, 560), 0, 32)

#convert bif to something pygame can use
background = pygame.image.load(bif).convert()
#anfangskoord. fuer Diagonalbewegung
x = 0
y = 0
clock = pygame.time.Clock()
speedx = 100#pixels/second in x-Richtung
speedy = 152
while True:
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            sys.exit()
        if event.type == pygame.KEYDOWN:
            if event.key == pygame.K_q:
                pygame.quit()
                raise SystemExit()
    #copy background right to screen
    screen.blit(background, (0,0))
    screen.lock()
    pygame.draw.rect(screen, (210,0,111), pygame.Rect( (x,y), (120,60)))
    screen.unlock()
    #  berechne milliseconds on your computer
    #+ 1tick == 1ms
    #+ somit wird Zeitablauf unabhaengig von wie schnell is CPU
    #+ Dauer millisecond is ueberall gleich lang
    milliseconds = ms = clock.tick()
    #1ms == 0.001 seconds
    seconds = ms/1000
    #distance moved per second
    dmx = seconds * speedx
    dmy = seconds * speedy
    x += dmx
    y += dmy
    if x > 800:
        x = -120
    if y > 500:
        y = -60
    pygame.display.update()
