#!/opt/bin/python3

import pygame

__status__ = 'experimental'
__date__ = '06142014'
__pyversion__ = '3.4.1'
__pygameversion__ = '1.9.2a'

FPS = 30
WIDTH = 800
HEIGHT = 600
WHITE = pygame.Color('white')
BLACK = pygame.Color('black')

pygame.init()
screen = pygame.display.set_mode( (WIDTH,HEIGHT), 0, 32)
punkte = []
for x in range(800):
    punkte.append( (x,((7*x*x*x-x**2+3*x-3))%600))
pygame.draw.polygon(screen,WHITE,punkte)
while True:
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            pygame.quit()
            raise SystemExit()
        if event.type == pygame.KEYDOWN:
            if event.key in (pygame.K_q, pygame.K_ESCAPE):
                pygame.quit()
                raise SystemExit()
    pygame.display.flip()
