#! /opt/bin/python3

'''
from youtube:
pygame physics tutorial 2

circles (position randomized)
'''
import random
import sys
import pygame

#some colors first
black = (0,0,0)
white = (255,255,255)
red = (255,0,0)
green = (0,255,0)
blue = (0,0,255)

colors = (black, red, blue, green,)

class MyCircle:
    def __init__(self, x, y, size, color = (255,255,255,), width=1):
        self.x = x
        self.y = y
        self.size = size
        self.color = color
        self.width = width
    def display(self):
        pygame.draw.circle( screen, self.color, (self.x,self.y,),self.size,self.width)

number_of_colors = 10
my_circles = list()

screen_size = screen_width, screen_height = (800, 600,)
screen = pygame.display.set_mode(screen_size, 0, 32)
pygame.display.set_caption("first class")

for n in range(number_of_colors):
    size = random.randint(10,20) #radius
    x = random.randint( size, screen_width - size )
    y = random.randint( size, screen_height - size )
    color = random.choice( colors )
    my_circles.append(MyCircle( x, y, size, color))
my_circle1 = MyCircle( 100,100, 10,blue,1)
my_circle2 = MyCircle( 200,200, 20,green,5)
my_circle3 = MyCircle( 300,300, 30,red,10)
my_circle4 = MyCircle( 350,350, 20,black,0)

clock = pygame.time.Clock()
fps_limit = 60

running = True

while running:
    clock.tick( fps_limit )
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            running = False
        if event.type == pygame.KEYDOWN:
            if event.key == pygame.K_q:
                running = False
    screen.lock()
    #clear screen
    screen.fill( white )

    for my_circle in my_circles:
        my_circle.display()
    my_circle1.display()
    my_circle2.display()
    my_circle3.display()
    my_circle4.display()
    screen.unlock()
    pygame.display.flip()
#quit the game
pygame.quit()
sys.exit()

