from math import ceil

def isprim(n):
    '''
    is n a prime-number?
    SYNTAX: isprim(integer)
    ret-val is True|False
    '''
    if n < 2:
        return False
    if n in (2,3,5,7,11,13,17,19,23,29):
        return True
    elif n % 2 == 0:
        return False
    for i in range(3,ceil(n**0.5),2):
        if n % i == 0:
            print(i)
            return False
    return True

if __name__ == '__main__':
    import sys
    if sys.argv[1].isdigit():
        if isprim(int(sys.argv[1])):
            print ('{} is a prime-number'.format(sys.argv[1]))
        else:
            print ('{} is not a prime-number'.format(sys.argv[1]))
    else:
        raise ValueError("Your entry wasn't a number!")
