#! /usr/bin/env python3

'''
turtle-Beispiel:
Einfache Darstellung eines wasser-Molekuels
(ohne Beschriftung)
'''

from turtle import *

__author__ = 'michael poeltl'
__copyright___ = 'michael poeltl (c) 2013'
__license__ = 'GPLv2'
__version__ = '0.01'

def main():
    setup(400,400)
    fenster = Screen()
    #Sauerstoff-Atom
    ht()
    fillcolor('red')
    begin_fill()
    circle(25)
    end_fill()
    #zwei wasserstoffatome h1,h2
    h1 = Turtle()
    h2 = Turtle()
    h1.penup()
    h2.penup()
    #h1,h2 goto Kreismittelpunkt
    h1.goto(-25,0)
    h2.goto(-25,0)
    h1.fd(25) #gehe zu Kreisrand
    h1.pendown()
    h1.shape('circle')
    h1.color('blue')
    h1.fd(50)
    h2.rt(104.45)#104,45 Grad zwischen den Wasserstoff-Atomen (lt. wikipedia)
    h2.fd(25)
    h2.pendown()
    h2.shape('circle')
    h2.color('blue')
    h2.fd(50)
    fenster.onkey(bye,'q')
    fenster.listen()
    fenster.title('Wasser-Molekuel')
    fenster.mainloop()

if __name__ == '__main__':
    main()
