#! /usr/bin/env python3

import turtle
from turtle import bye

def main():
    step = 40
    turtle.reset()
    turtle.ht() #hide turtle --> ht()
    turtle.setup(800,800)
    fenster = turtle.Screen()
    fenster.title('einfache Spirale')
    turtle.pensize(3)
    farbe = ('black','red','green','blue','orange','yellow','violet','cyan')
    fenster.onkey( bye, 'q' )
    for i in range( len(farbe) ):
        turtle.pencolor(farbe[i])
        turtle.circle( step * i + 1, 180)
    fenster.listen()
    fenster.mainloop()

if __name__ == '__main__':
    main()
